Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBase64OutputStream Class Reference

`#include <vtkBase64OutputStream.h>`

Inheritance diagram for vtkBase64OutputStream:

[legend]
Collaboration diagram for vtkBase64OutputStream:

[legend]
List of all members.

## Detailed Description

Writes base64-encoded output to a stream.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkBase64OutputStream implements base64 encoding with the vtkOutputStream interface.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (94%)
  - Barre, Sebastien (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkBase64OutputStream.h)`
  - .`cxx` (`/IO/vtkBase64OutputStream.cxx)`

Definition at line 42 of file vtkBase64OutputStream.h.

## Public Types
typedef vtkOutputStream | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | StartWriting ()
int | Write (const unsigned char *data, unsigned long length)
int | EndWriting ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkBase64OutputStream * | SafeDownCast (vtkObject *o)
vtkBase64OutputStream * | New ()
## Protected Methods
| vtkBase64OutputStream ()
| ~vtkBase64OutputStream ()
int | EncodeTriplet (unsigned char c0, unsigned char c1, unsigned char c2)
int | EncodeEnding (unsigned char c0, unsigned char c1)
int | EncodeEnding (unsigned char c0)
## Protected Attributes
unsigned int | BufferLength
unsigned char | Buffer [2]

## Member Typedef Documentation

typedef vtkOutputStream vtkBase64OutputStream::Superclass

| Reimplemented from vtkOutputStream. Definition at line 45 of file vtkBase64OutputStream.h.

## Constructor & Destructor Documentation

vtkBase64OutputStream::vtkBase64OutputStream | ( |  | ) | `[protected]`

vtkBase64OutputStream::~vtkBase64OutputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkBase64OutputStream::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOutputStream.

int vtkBase64OutputStream::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputStream.

virtual int vtkBase64OutputStream::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputStream.

vtkBase64OutputStream* vtkBase64OutputStream::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOutputStream.

vtkBase64OutputStream* vtkBase64OutputStream::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkOutputStream.

void vtkBase64OutputStream::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOutputStream.

int vtkBase64OutputStream::StartWriting | ( |  | ) | `[virtual]`

| Called after the stream position has been set by the caller, but before any Write calls. The stream position should not be adjusted by the caller until after an EndWriting call. Reimplemented from vtkOutputStream.

int vtkBase64OutputStream::Write | ( | const unsigned char * | data,
|  | unsigned long | length
| ) | `[virtual]`

| Write output data of the given length. Reimplemented from vtkOutputStream.

int vtkBase64OutputStream::EndWriting | ( |  | ) | `[virtual]`

| Called after all desired calls to Write have been made. After this call, the caller is free to change the position of the stream. Additional writes should not be done until after another call to StartWriting. Reimplemented from vtkOutputStream.

int vtkBase64OutputStream::EncodeTriplet | ( | unsigned char | c0,
|  | unsigned char | c1,
|  | unsigned char | c2
| ) | `[protected]`

int vtkBase64OutputStream::EncodeEnding | ( | unsigned char | c0,
|  | unsigned char | c1
| ) | `[protected]`

int vtkBase64OutputStream::EncodeEnding | ( | unsigned char | c0 | ) | `[protected]`

## Member Data Documentation

unsigned int vtkBase64OutputStream::BufferLength`[protected]`

| Definition at line 68 of file vtkBase64OutputStream.h.

unsigned char vtkBase64OutputStream::Buffer[2]`[protected]`

| Definition at line 69 of file vtkBase64OutputStream.h.

The documentation for this class was generated from the following file:

- IO/vtkBase64OutputStream.h